// src/components/filters/ClearChipButton.jsx
import React from "react";

export default function ClearChipButton({ onClick }) {
  if (!onClick) return null;
  return (
    <button
      type="button"
      onClick={onClick}
      className="mr-1 inline-flex items-center w-6 h-6 pt-0.5 justify-center dark:text-white text-black font-black rounded-full border dark:border-white/10 border-[#A1E3F9] text-xs dark:hover:bg-[#A1E3F919] hover:bg-[#A1E3F980]"
    >
      ✕
    </button>
  );
}
